package com.sky.common.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 业务异常
 */
@Slf4j
public class BaseException extends RuntimeException {
    /**
     * Constructs a new runtime exception with {@code null} as its
     * detail message.  The cause is not initialized, and may subsequently be
     * initialized by a call to {@link #initCause}.
     */
    public BaseException() {
    }

    public BaseException(String message) {
        super(message);
        log.error("业务异常:{}", message);
    }
}
