package com.sky.common.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 不允许删除异常
 */
@Slf4j
public class DeletionNotAllowedException extends BaseException {
    /**
     * Constructs a new runtime exception with {@code null} as its
     * detail message.  The cause is not initialized, and may subsequently be
     * initialized by a call to {@link #initCause}.
     */
    public DeletionNotAllowedException() {
    }

    public DeletionNotAllowedException(String message) {
        super(message);
        log.error("不允许删除异常:{}", message);
    }
}
