package com.sky.common.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 用户未登录异常
 */
@Slf4j
public class UserNotLoginException extends BaseException {
    /**
     * Constructs a new runtime exception with {@code null} as its
     * detail message.  The cause is not initialized, and may subsequently be
     * initialized by a call to {@link #initCause}.
     */
    public UserNotLoginException() {
    }

    public UserNotLoginException(String message) {
        super(message);
        log.error("用户未登录异常:{}", message);
    }
}
